BlHost Class Reference

Class that encapsulates the blhost tool. More...

Collaboration diagram for BlHost:
[legend]

## Public Member Functions

| BlHost (int argc, char *argv[])
virtual | ~BlHost ()
| Destructor.
int | run ()
| Run the application.

## Protected Member Functions

int | processOptions ()
| Process command line options.

## Static Protected Member Functions

static BOOL | ctrlHandler (DWORD ctrlType)
| Handler for Ctrl signals.
static void | ctrlPlusCHandler (int msg)
static void | displayProgress (int percentage, int segmentIndex, int segmentCount)

## Protected Attributes

int | m_argc
| Number of command line arguments.
char ** | m_argv
| Command line arguments.
string_vector_t | m_cmdv
| Command line argument vector.
string | m_comPort
| COM port to use.
int | m_comSpeed
| COM port speed.
bool | m_useBusPal
| True if using BusPal peripheral.
string_vector_t | m_busPalConfig
| Bus pal peripheral-specific argument vector.
bool | m_useUsb
| Connect over USB HID.
bool | m_useUart
| Connect over UART.
uint16_t | m_usbVid
| USB VID of the target HID device.
uint16_t | m_usbPid
| USB PID of the target HID device.
bool | m_ping
| If true will not send the initial ping to a serial device.
uint32_t | m_packetTimeoutMs
| Packet timeout in milliseconds.
ping_response_t | m_pingResponse
| Response to initial ping.
StdoutLogger * | m_logger
| Singleton logger instance.

## Detailed Description

Class that encapsulates the blhost tool.

A single global logger instance is created during object construction. It is never freed because we need it up to the last possible minute, when an exception could be thrown.

## Constructor & Destructor Documentation

BlHost::BlHost | ( | int | argc,
|  | char * | argv[]
| ) |  |

inline

Constructor.

Creates the singleton logger instance.

The documentation for this class was generated from the following file:

- blhost.cpp